# Class RegulationFileConsensus

java.lang.Object
org.snpeff.RegulationFileConsensus

public class RegulationFileConsensus extends Object
Create a regulation consensus from a regulation file.

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`RegulationFileConsensus()`

## Method Summary

Modifier and Type
Method
Description
`void`
`consensus(Regulation reg)`
Add to consensus
`Collection<String>`
`getRegTypes()`
`ArrayList<Regulation>`
`getRegulationList(String regType)`
Get regulation list by type (or create a new list)
`void`
`readFile(RegulationFileIterator regulationFileIterator)`
Read a file and add all regulation intervals
`void`
`save()`
Save databases (one file per regType)
`void`
`setOutputDir(String outputDir)`
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegulationFileConsensus

public RegulationFileConsensus()

## Method Details

### consensus

public void consensus(Regulation reg)
Add to consensus

### getRegTypes

public Collection<String> getRegTypes()

### getRegulationList

public ArrayList<Regulation> getRegulationList(String regType)
Get regulation list by type (or create a new list)

### readFile

public void readFile(RegulationFileIterator regulationFileIterator)
Read a file and add all regulation intervals

### save

public void save()
Save databases (one file per regType)

### setOutputDir

public void setOutputDir(String outputDir)

### setVerbose

public void setVerbose(boolean verbose)